<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8" />
  <title>Task 3</title>
  <link rel="stylesheet" href="css/normalize.css" />
  <link rel="stylesheet" href="css/style.css" />
</head>

<body>
  <div class="wrap" id="wrap">
    <h1>Переключение слайдера</h1>
    <div class="roadMap__container yellow">
      <button class="navButton" data-direction="<"> Prev </button>
      <div class="roadMap">
        <div class="roadMapPoint" data-id="1"></div>
        <div class="roadMapPoint ball" data-id="2"></div>
        <div class="roadMapPoint" data-id="3"></div>
        <div class="roadMapPoint" data-id="4"></div>
      </div>
      <button class="navButton" data-direction=">"> Next </button>
    </div>

    <div class="roadMap__container red">
      <button class="navButton" data-direction="<"> Prev </button>
      <div class="roadMap">
        <div class="roadMapPoint" data-id="1"></div>
        <div class="roadMapPoint" data-id="2"></div>
        <div class="roadMapPoint ball" data-id="3"></div>
        <div class="roadMapPoint" data-id="4"></div>
      </div>
      <button class="navButton" data-direction=">"> Next </button>
    </div>

    <div class="roadMap__container blue">
      <button class="navButton" data-direction="<"> Prev </button>
      <div class="roadMap">
        <div class="roadMapPoint" data-id="1"></div>
        <div class="roadMapPoint ball" data-id="2"></div>
        <div class="roadMapPoint" data-id="3"></div>
        <div class="roadMapPoint" data-id="4"></div>
      </div>
      <button class="navButton" data-direction=">"> Next </button>
    </div>

  </div>
  <script>

    /*
      Задание:

      Написать скрипт, который будет приводить в действие переключалки из разметки.
      И будет перемещать класс ball по точкам в зависимости от нажатой кнопки

    */

    var containers = document.querySelectorAll('.roadMap__container');
    console.table(containers);
    containers.forEach(function (container) {
      var buttons = document.querySelectorAll('.navButton');
      buttons.forEach(button => {
        button.addEventListener('click', navButtonClick);
      })

      // console.log( container );
      // var ball = container.querySelector('.ball');
      // console.log( ball.dataset.id );
    })

    function navButtonClick(event) {
      var button = event.target;
      var container = button.parentElement;
      var pointList = container.querySelectorAll('.roadMapPoint');

      var currentPoint = container.querySelector('.ball');
      var currentPointId = Number(currentPoint.dataset.id);

      var step = 0;
      if (button.dataset.direction == "<") {
        step--;
      }
      else {
        step++;
      }

      if (currentPointId + step < 1 || currentPointId + step > pointList.length) {
        return;
      }

      currentPoint.classList.remove("ball");

      var nextPoint = pointList[currentPointId - 1 + step];
      nextPoint.classList.add("ball")
    }
  </script>
</body>

</html>